Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface Interface Reference

ConfigurationMapper purpose is to map parsed semantic configuration for given scope (SiteAccess, SiteAccess group or "global") to internal container parameters with the appropriate format. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface:

## Public Member Functions
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...

## Detailed Description

ConfigurationMapper purpose is to map parsed semantic configuration for given scope (SiteAccess, SiteAccess group or "global") to internal container parameters with the appropriate format.

ConfigurationMapper needs to be passed to `ConfigurationProcessor::mapConfig()`.

See also
  ConfigurationProcessor::mapConfig()

Definition at line 17 of file ConfigurationMapperInterface.php.

## Member Function Documentation

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface::mapConfig | ( | array & | $scopeSettings,
|  |  | $currentScope,
|  | ContextualizerInterface | $contextualizer
| ) |  |

Does semantic config to internal container parameters mapping for $currentScope.

This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global").

Parameters

  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\View, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\UrlChecker, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Templates, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Languages, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Image, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\RichText, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\FieldType\ImageAsset, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Content, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigParser.

The documentation for this interface was generated from the following file:

- ConfigurationMapperInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.